/*
 * shadow password authentication protocol
 */

program SPWAUTHPROG {
	version SPWAUTHVERS {
		/*
		 * Obtain a password cookie
		 */
		spwcookie
		SPWAUTHPROC_GETCOOKIE(spwuser) = 1;
	} = 1;
} = 20011223;

struct spwuser {
	string		spw_name<>;	/* username */
	string		spw_domain<>;	/* NIS domain */
};

struct spwcookie {
	char		spw_salt[2];	/* password salt */
	char		spw_seed[20];	/* SHA seed */
	char		spw_hash[20];	/* SHA(seed,crypt(salt,pwd),0) */
};
